org.eclipse.rdf4j.sail

## Class SailConnectionUpdate

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractUpdate
    - - org.eclipse.rdf4j.query.impl.AbstractParserUpdate
      - - org.eclipse.rdf4j.sail.SailConnectionUpdate

- All Implemented Interfaces:
    Operation, Update

      public class SailConnectionUpdate
      extends AbstractParserUpdate

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SailConnectionUpdate(ParsedUpdate parsedUpdate, SailConnection con, ValueFactory vf, ParserConfig parserConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Execute this update on the repository.
    `protected SailConnection` | `getSailConnection()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractParserUpdate

      `getMergedDataset, getParsedUpdate, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

- - ### Constructor Detail

    - #### SailConnectionUpdate

          public SailConnectionUpdate(ParsedUpdate parsedUpdate,
                                      SailConnection con,
                                      ValueFactory vf,
                                      ParserConfig parserConfig)

  - ### Method Detail

    - #### getSailConnection

          protected SailConnection getSailConnection()

    - #### execute

          public void execute()
                       throws UpdateExecutionException

      Description copied from interface: `Update`
      Execute this update on the repository.
      Throws:
        `UpdateExecutionException` - if the update could not be successfully completed.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.